function highlightTestForm (element, errorClass) {
  // if it's a radioset or checkbox, highlight every option
  if (element.type=='radio' || element.type=='checkbox') {
  $.each($("input[name*='"+element.name+"']"),function(i,j) {
    	$(j.form).find("label[for=" + j.id + "]").addClass("labelError");
    });
  } 
  else {
  	$(element).addClass(errorClass);
  }
}

function unhighlightTestForm(element, errorClass) {
  // if it's a radioset or checkbox, unhighlight every option
  if (element.type=='radio' || element.type=='checkbox') {
    $.each($("input[name*='"+element.name+"']"),function(i,j) {
      $(j.form).find("label[for="+j.id+"]").removeClass("labelError");
    });
  } 
  else {
    $(element).removeClass(errorClass);
    $(element.form).find("label[for=" + element.id + "]").removeClass("labelError");
  }
}

jQuery.validator.addMethod("date_en_US", function(value, element) {
  return this.optional(element) || /^[0-1]?\d\/[0-3]?\d\/\d{2,4}$/.test(value);
}, "Please enter a date in US format (12/31/2000)");

jQuery.validator.addMethod("date_de_DE", function(value, element) {
  return this.optional(element) || /^[0-3]?\d.[0-1]?\d.(\d{2}|\d{4})$/.test(value);
}, "Please enter a date in German format (31.12.2000)");

jQuery.validator.addMethod("number_int", function(value, element) {
  return this.optional(element) || /^[0-9]*([,.][0-9]*)?$/.test(value);
}, "Please enter a number");
