<?php
define("THIS_FILE", "index.php");

require_once("config/config.inc.php");
require_once("DbConnection.inc.php");
require_once("KDbTools.inc.php");
require_once("MainRegUI.inc.php");
require_once("Plugins.inc.php");
require_once("autoloader.inc.php");
autoloader::init();

if(!ALLOW_USER_LOGIN) {
  header("Status: 302 Moved Temporarily");
  header("Location:registration.php");
  exit;
}

$DB = new DbConnection(DB_HOST, DB_USER, DB_PASSWD, DB_NAME);
CWFTools::startSession("k_db");
CWFTools::replaceHTMLChars($_POST);

include_once(CWF_PATH."plugins/plugins.inc.php");

$menu = new MainRegUI($DB);
if ($DB->getConnectionError())
  $menu->setErrorMessage($DB->getConnectionError(), 1);

if(isset($_GET['message'])) {
  switch($_GET['message']) {
    case "pw_sent":
      $menu->setErrorMessage(_("Your new password has been sent."));
      break;
  }
  unset($_GET['message']);
}

unset($_SESSION['booking_id']);
if(isset($_GET['event_id']) && $_GET['event_id']) {
  $event = new Event();
  $event->readData($DB, array("event_id"=>"'{$_GET['event_id']}'"));
  $_SESSION['event'] = clone $event;
  if(!$_SESSION['event']->event_id) unset($_SESSION['event']);
}

$menu_select = "";
if(preg_match("~^{$_SERVER['SCRIPT_NAME']}(/[A-Za-z0-9_/-]+)(\?.*)?$~", $_SERVER['REQUEST_URI'], $match))
  $menu_select = $match[1];
switch ($menu_select) {
  case "/booking":
    $ui = new RegistrationForm($DB);
    break;
    
  case "/events":
    $ui = new EventListUI();
    break;
    
  case "/changepw":
    $ui = new UserChangePwUI($DB);
    break;
    
  default:
    if(substr($menu_select, 0, 8)=="/plugin/") {
      require_once(CWF_PATH."plugins/".substr($menu_select, 8).".inc.php");
      $ui = new $PLUGIN_CLASS($DB);
    }
    else
      $ui = new UserUI($DB);
    break;
}

if($ui->getErrorMessage())
  $menu->setErrorMessage($ui->getErrorMessage(), 0);

if ($menu->writeHeader(THIS_FILE.$menu_select, $ui->getTitle(), $ui->getHeader()))
  echo $ui->getHTML($DB);
$menu->writeFooter();
?>
